Package: groovy.util.slurpersupport

## [Java] Class NamespaceAwareHashMap

- groovy.util.slurpersupport.NamespaceAwareHashMap

- - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `Map` | `namespaceTagHints`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `boolean` | `containsKey(Object key)`
    `` | `String` | `get(Object key)`
    `` | `Map` | `getNamespaceTagHints()`
    `` | `String` | `put(String key, String value)`
    `` | `void` | `putAll(Map<? extends String, ? extends String> m)`
    `` | `String` | `remove(Object key)`
    `` | `void` | `setNamespaceTagHints(Map namespaceTagHints)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class HashMap` | `remove, remove, get, put, values, clone, clear, isEmpty, replace, replace, replaceAll, size, merge, entrySet, putAll, putIfAbsent, compute, forEach, containsKey, computeIfAbsent, containsValue, keySet, getOrDefault, computeIfPresent, equals, toString, hashCode, wait, wait, wait, getClass, notify, notifyAll`
    `class AbstractMap` | `remove, get, put, equals, toString, values, hashCode, clear, isEmpty, size, entrySet, putAll, containsKey, containsValue, keySet, wait, wait, wait, getClass, notify, notifyAll, remove, replace, replace, replaceAll, merge, putIfAbsent, compute, forEach, computeIfAbsent, getOrDefault, computeIfPresent`

- - ### Property Detail

    - #### Map namespaceTagHints

  - ### Method Detail

    - #### @Override public boolean containsKey(Object key)

    - #### @Override public String get(Object key)

    - #### public Map getNamespaceTagHints()

    - #### @Override public String put(String key, String value)

    - #### @Override public void putAll(Map<? extends String, ? extends String> m)

    - #### @Override public String remove(Object key)

    - #### public void setNamespaceTagHints(Map namespaceTagHints)